Last modified: 2012-04-19 21:43:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21049 - Navigable TOC : Focus incorrect position when user clicks the link in NTOC.
Navigable TOC : Focus incorrect position when user clicks the link in NTOC.
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-08 04:06 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-08 04:06:47 UTC
Reporting against Babaco Release.

Steps to reproduce::
1)Navigate to a page and click Edit link.
2)Enter following text in the editable text area.
==Heading text==
===Heading text===
====Heading text====
=====Heading text=====

==Heading text==
===Heading text===
====Heading text====
=====Heading text=====
3)See whether the links are appear in the Navigable TOC.
4)Click on 5th link in the Navigable TOC.
<<Cursor focus to the forth line in the editable text area>>

Expected Outcome::
Cursor shall be focus to the 5th line in the editable text area.

Text Environment::

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.25 Safari/532.0

Browser (User-Agent): 	Opera/9.80 (Windows NT 5.2; U; en) Presto/2.2.15 Version/10.00

Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Browser (User-Agent):   Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_6;en-US)
AppleWebKit/525.27.1 (KHTML, like Gecko) Version /3.2.1 Safari;
Comment 1 Roan Kattouw 2009-10-09 19:17:52 UTC
Fixed in r57580.
Comment 2 Calcey QA 2009-10-14 04:09:33 UTC
Closed the bug accidentally. Reopen the bug to verify in r57580
Comment 3 Calcey QA 2009-10-22 05:03:14 UTC
Verified and closed
Comment 4 Calcey QA 2009-10-27 03:54:18 UTC
closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links